Skip to main content
POST
/
admin
/
setting
/
test-api-key
cURL
curl --request POST \
  --url https://app.teable.ai/api/admin/setting/test-api-key \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"type":"aiGateway","apiKey":"string","baseUrl":"string","testAttachment":true}'
{
  "success": true,
  "error": {
    "code": "unauthorized",
    "message": "<string>"
  },
  "attachmentTest": {
    "urlMode": {
      "success": true,
      "errorMessage": "<string>"
    },
    "base64Mode": {
      "success": true,
      "errorMessage": "<string>"
    },
    "recommendedMode": "url",
    "testedOrigin": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
enum<string>
required
Available options:
aiGateway,
v0,
vercel
apiKey
string
required
baseUrl
string
testAttachment
boolean

Response

200 - application/json

Test result

success
boolean
required
error
object
attachmentTest
object
Last modified on March 5, 2026